For the complete documentation index, see llms.txt. This page is also available as Markdown.

Modify a Data Center by ID

Modifies the properties of the specified data center, rename it, or change the description.

put
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
Responses
202

Successful operation

application/json
put/datacenters/{datacenterId}
PUT /cloudapi/v6/datacenters/{datacenterId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 747

{
  "properties": {
    "name": "Production Datacenter",
    "description": "My Production Datacenter",
    "location": "us/las",
    "secAuthProtection": true,
    "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
    "createDefaultSecurityGroup": true
  },
  "entities": {
    "servers": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "volumes": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "loadbalancers": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "lans": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "networkloadbalancers": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "natgateways": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    },
    "securitygroups": {
      "type": "collection",
      "offset": 0,
      "limit": 1000,
      "_links": {}
    }
  }
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "datacenter",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "name": "Production datacenter",
    "description": "My Production Datacenter",
    "location": "us/las",
    "version": 8,
    "features": [
      "SSD"
    ],
    "secAuthProtection": true,
    "cpuArchitecture": [
      {
        "cpuFamily": "INTEL_ICELAKE",
        "maxCores": 62,
        "maxRam": 245760,
        "vendor": "AuthenticAMD",
        "enabledFeatures": [
          "SEV-SNP"
        ]
      }
    ],
    "gpuArchitecture": [
      {
        "vendor": "NVIDIA",
        "model": "A100"
      }
    ],
    "ipv6CidrBlock": "2001:db8:b06d:8f00::/56",
    "defaultSecurityGroupId": "15f67991-0f51-4efc-a8ad-ef1fb31a480c"
  },
  "entities": {
    "servers": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "server",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "templateUuid": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
            "name": "My resource",
            "hostname": "myHostname",
            "cores": 4,
            "ram": 4096,
            "availabilityZone": "AUTO",
            "vmState": "RUNNING",
            "bootCdrom": {
              "id": "text",
              "type": "resource",
              "href": "<RESOURCE-URI>"
            },
            "bootVolume": {
              "id": "text",
              "type": "resource",
              "href": "<RESOURCE-URI>"
            },
            "cpuFamily": "INTEL_ICELAKE",
            "type": "CUBE",
            "enabledFeatures": [
              "SEV-SNP"
            ],
            "placementGroupId": null,
            "nicMultiQueue": true,
            "maxNetworkBandwidth": 6,
            "maintenanceWindow": {
              "startDate": "2026-08-21T17:00:00Z",
              "endDate": "2026-08-21T19:00:00Z"
            }
          },
          "entities": {
            "cdroms": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "image",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My resource",
                    "description": "The image/snapshot of Ubuntu ",
                    "location": "us/las",
                    "size": 100,
                    "cpuHotPlug": true,
                    "cpuHotUnplug": true,
                    "ramHotPlug": true,
                    "ramHotUnplug": true,
                    "nicHotPlug": true,
                    "nicHotUnplug": true,
                    "discVirtioHotPlug": true,
                    "discVirtioHotUnplug": true,
                    "discScsiHotPlug": true,
                    "discScsiHotUnplug": true,
                    "exposeSerial": true,
                    "requireLegacyBios": true,
                    "licenceType": "LINUX",
                    "applicationType": "MSSQL-2019-Standard",
                    "imageType": "HDD",
                    "public": true,
                    "imageAliases": [
                      "text"
                    ],
                    "requiredFeatures": [
                      "text"
                    ],
                    "cloudInit": "V1"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            },
            "volumes": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "volume",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My resource",
                    "type": "PERFORMANCE",
                    "size": 100,
                    "availabilityZone": "AUTO",
                    "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
                    "imagePassword": "mypass123",
                    "sshKeys": [
                      "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
                      "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
                    ],
                    "bus": "VIRTIO",
                    "licenceType": "LINUX",
                    "applicationType": "MSSQL-2019-Standard",
                    "cpuHotPlug": true,
                    "ramHotPlug": true,
                    "nicHotPlug": true,
                    "nicHotUnplug": true,
                    "discVirtioHotPlug": true,
                    "discVirtioHotUnplug": true,
                    "exposeSerial": true,
                    "requireLegacyBios": true,
                    "deviceNumber": 3,
                    "pciSlot": 7,
                    "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
                    "userData": "text",
                    "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
                    "bootOrder": "AUTO"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            },
            "nics": "[Circular Reference]",
            "securitygroups": "[Circular Reference]",
            "gpus": {
              "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "25f67991-0f51-4efc-a8ad-ef1fb31a400c",
                  "type": "gpu",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My GPU",
                    "vendor": "NVIDIA",
                    "model": "A100",
                    "type": "passthrough"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            }
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "volumes": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "volume",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My resource",
            "type": "PERFORMANCE",
            "size": 100,
            "availabilityZone": "AUTO",
            "image": "d6ad1576-fde9-4696-aa41-1ebd75bdaf49",
            "imagePassword": "mypass123",
            "sshKeys": [
              "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/4JNoFQBsaGV974hDmloS5LOvSJjKpXs8Ed437ln712345",
              "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCyWh6LZ7f2wxnupVgtK2096bc69Vv9uT2A58lwN3ol0A6mxqlT0f4M1NbarVUxa+MVdxBLud5PvlkbYc9mY91OyzLGZMfVWvhAYz/tJSsDtsgRUl0GFVv332zDWk0i+mAVy0N408OORm5XqV6zvIDaiB/jopyjemUp2rnP7pXU4+98ilZw6ef9DF9y4YZ64mchL5//rcrGm1Lff3pC75X/polGONHeG6m4Vs8eIu+0epJ4PJBxO+rwRYp1zMnn90UCk21KvTcYops2cte7ouXQwkGUq3vmXxnSdvuivK/asdfghjkjhyutry545tgvbn76e4rf43"
            ],
            "bus": "VIRTIO",
            "licenceType": "LINUX",
            "applicationType": "MSSQL-2019-Standard",
            "cpuHotPlug": true,
            "ramHotPlug": true,
            "nicHotPlug": true,
            "nicHotUnplug": true,
            "discVirtioHotPlug": true,
            "discVirtioHotUnplug": true,
            "exposeSerial": true,
            "requireLegacyBios": true,
            "deviceNumber": 3,
            "pciSlot": 7,
            "backupunitId": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
            "userData": "text",
            "bootServer": "25f67991-0f51-4efc-a8ad-ef1fb31a481c",
            "bootOrder": "AUTO"
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "loadbalancers": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "loadbalancer",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My resource",
            "ip": "22.231.113.64",
            "dhcp": true
          },
          "entities": {
            "balancednics": "[Circular Reference]"
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "lans": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "5",
          "type": "lan",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My resource",
            "ipFailover": [
              {
                "ip": "192.18.2.231",
                "nicUuid": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec"
              }
            ],
            "ipv4CidrBlock": "10.8.130.0/23",
            "ipv6CidrBlock": "2001:db8:b06d:8f5a::/64",
            "pcc": "3c11273c-b3e1-4ca3-8134-84fd2dd4ebec",
            "public": true,
            "vni": 123
          },
          "entities": {
            "nics": "[Circular Reference]"
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "networkloadbalancers": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "networkloadbalancer",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My Network Load Balancer",
            "listenerLan": 1,
            "ips": [
              "81.173.1.2",
              "22.231.2.2",
              "22.231.2.3"
            ],
            "targetLan": 2,
            "lbPrivateIps": [
              "81.173.1.5/24",
              "22.231.2.5/24"
            ],
            "centralLogging": true,
            "loggingFormat": "%{+Q}o %{-Q}ci - - [%trg] %r %ST %B \"\" \"\" %cp %ms %ft %b %s %TR %Tw %Tc %Tr %Ta %tsc %ac %fc %bc %sc %rc %sq %bq %CC %CS %hrl %hsl",
            "tier": "ENHANCED_HA",
            "maintenanceWindow": {
              "dayOfTheWeek": "Monday",
              "time": "13:00:00"
            }
          },
          "entities": {
            "flowlogs": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "flow-log",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My resource",
                    "action": "ACCEPTED",
                    "direction": "INGRESS",
                    "bucket": "bucketName/key"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            },
            "forwardingrules": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "forwarding-rule",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My Network Load Balancer forwarding rule",
                    "algorithm": "ROUND_ROBIN",
                    "protocol": "HTTP",
                    "listenerIp": "81.173.1.2",
                    "listenerPort": 8080,
                    "healthCheck": {
                      "clientTimeout": 50,
                      "connectTimeout": 5000,
                      "targetTimeout": 50000,
                      "retries": 3
                    },
                    "targets": [
                      {
                        "ip": "22.231.2.2",
                        "port": 8080,
                        "weight": 123,
                        "proxyProtocol": "v1",
                        "healthCheck": {
                          "check": true,
                          "checkInterval": 2000,
                          "maintenance": true
                        }
                      }
                    ]
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            }
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "natgateways": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "natgateway",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My NAT Gateway",
            "publicIps": [
              "81.173.1.2",
              "82.231.2.5",
              "92.221.2.4"
            ],
            "lans": [
              {
                "id": 3,
                "gatewayIps": [
                  "10.12.1.2/24",
                  "10.11.2.5/24",
                  "10.11.2.4"
                ]
              }
            ],
            "tier": "ENHANCED_HA",
            "maintenanceWindow": {
              "dayOfTheWeek": "Monday",
              "time": "13:00:00"
            }
          },
          "entities": {
            "rules": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "natgateway-rule",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My NAT Gateway rule",
                    "type": "SNAT",
                    "protocol": "TCP",
                    "sourceSubnet": "10.0.1.0/24",
                    "publicIp": "192.18.7.17",
                    "targetSubnet": "10.0.1.0/24",
                    "targetPortRange": {
                      "start": 10000,
                      "end": 20000
                    }
                  }
                }
              ]
            },
            "flowlogs": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "flow-log",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My resource",
                    "action": "ACCEPTED",
                    "direction": "INGRESS",
                    "bucket": "bucketName/key"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            }
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    },
    "securitygroups": {
      "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
      "type": "collection",
      "href": "<RESOURCE-URI>",
      "items": [
        {
          "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
          "type": "security-group",
          "href": "<RESOURCE-URI>",
          "metadata": {
            "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
            "createdDate": "2015-12-04T14:34:09.809Z",
            "createdBy": "user@example.com",
            "createdByUserId": "user@example.com",
            "lastModifiedDate": "2015-12-04T14:34:09.809Z",
            "lastModifiedBy": "user@example.com",
            "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
            "state": "AVAILABLE"
          },
          "properties": {
            "name": "My security group",
            "description": "My security group description"
          },
          "entities": {
            "rules": {
              "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
              "type": "collection",
              "href": "<RESOURCE-URI>",
              "items": [
                {
                  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
                  "type": "firewall-rule",
                  "href": "<RESOURCE-URI>",
                  "metadata": {
                    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
                    "createdDate": "2015-12-04T14:34:09.809Z",
                    "createdBy": "user@example.com",
                    "createdByUserId": "user@example.com",
                    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
                    "lastModifiedBy": "user@example.com",
                    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
                    "state": "AVAILABLE"
                  },
                  "properties": {
                    "name": "My resource",
                    "protocol": "TCP",
                    "sourceMac": "00:0a:95:9d:68:16",
                    "ipVersion": "IPv4",
                    "sourceIp": "22.231.113.64",
                    "targetIp": "22.231.113.64",
                    "icmpCode": 0,
                    "icmpType": 8,
                    "portRangeStart": 8,
                    "portRangeEnd": 8,
                    "type": "INGRESS"
                  }
                }
              ],
              "offset": 0,
              "limit": 1000,
              "_links": {
                "prev": "<PREVIOUS-PAGE-URI>",
                "self": "<THIS-PAGE-URI>",
                "next": "<NEXT-PAGE-URI>"
              }
            },
            "nics": "[Circular Reference]",
            "servers": "[Circular Reference]"
          }
        }
      ],
      "offset": 0,
      "limit": 1000,
      "_links": {
        "prev": "<PREVIOUS-PAGE-URI>",
        "self": "<THIS-PAGE-URI>",
        "next": "<NEXT-PAGE-URI>"
      }
    }
  }
}

Last updated

Was this helpful?